# Update Pocket

Update a Pocket's name, or update a Pocket's status. If the intent is to close a Pocket, then there are two requirements: The Pocket needs to be empty, and there has to be at least one other open Pocket belonging to the customer. Additionally, when you close a Pocket, you also need to pass a closure_reason along with the status update.

Endpoint: PATCH /api/v2/customers/{customer_id}/pockets/{pocket_id}/
Version: Version: b6359d9a
Security: HTTPBearer

## Path parameters:

  - `customer_id` (string, required)

  - `pocket_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Request fields (application/json):

  - `pocket_name` (any)
    Pocket name

  - `status` (any)
    Pocket status

  - `closure_reason` (any)

  - `deposit_strategy_id` (any)
    Pocket deposit trading strategy ID (Example: UST-4W)

  - `reinvestment_strategy_id` (any)
    Pocket reinvestment trading strategy ID (Example: UST-4W)

## Response 200 fields (application/json):

  - `id` (string, required)
    ID of the pocket

  - `pocket_name` (string, required)
    Pocket name

  - `portfolio` (any)
    Total liquid cash and holdings

  - `status` (string, required)
    Pocket status
    Enum: "PENDING", "OPEN", "FROZEN", "CLOSED"

  - `attributes` (array)

  - `deposit_strategy_id` (string, required)
    Pocket deposit trading strategy ID (Example: UST-4W)

  - `reinvestment_strategy_id` (any, required)
    Pocket reinvestment trading strategy ID (Example: UST-4W)

  - `type` (any)
    Pocket type

  - `object_type` (string, required)

## Response 422 fields (application/json):

  - `type` (string, required)

  - `instance` (string, required)

  - `detail` (string, required)

  - `trace_id` (any)


